Le coin des remarques, suggestions et bugs à faire remonter.
Répondre

bug opengl déclaré par sweethome3d et carte nvidia

#1Messageil y a 2 ans

Bonjour à tous :salut:
Navré de mettre les pieds dans un plat qui semble déjà refroidi à la lecture de sujets sur les bugs de mises à jour pour drivers nvidia 340-xx, mais ne parvenant pas à régler mon problème je pose la question ici:

situation : j'utilise un logiciel sweethome3d qui depuis sa mise à jour en 5.3.1 bloque au démarrage en pretextant un conflit directX/OpenGL.
Du coup je regarde mes drivers video, je tombe sur les forums et je n'arrive pas à trouver de réponse.
mes retours mhwd donnent ceci

[stap@stap-pc ~]$ mhwd -li
> Installed PCI configs:
--------------------------------------------------------------------------------
                  NAME               VERSION          FREEDRIVER           TYPE
--------------------------------------------------------------------------------
         network-r8168            2016.04.20                true            PCI
         video-nouveau            2016.01.28                true            PCI
    video-nvidia-340xx            2016.04.25               false            PCI


Warning: No installed USB configs!
[stap@stap-pc ~]$ mhwd-gpu --status
Using default
Default lib32 support: true
:: status
  lib32-libGl: '/usr/lib32/nvidia/libGL.so'
  lib32-libGLESv1: '/usr/lib32/nvidia/libGLESv1_CM.so'
  lib32-libGLESv2: '/usr/lib32/nvidia/libGLESv2.so'
  lib32-libEGL: '/usr/lib32/nvidia/libEGL.so'
  libGl: '/usr/lib/nvidia/libGL.so'
  libGLESv1: '/usr/lib/nvidia/libGLESv1_CM.so'
  libGLESv2: '/usr/lib/nvidia/libGLESv2.so'
  libEGL: '/usr/lib/nvidia/libEGL.so'
  libglx: '/usr/lib/nvidia/xorg/modules/extensions/libglx.so'
  xorg configuration file: '/etc/X11/mhwd.d/nvidia.conf'


j'ai désinstallé puis réinstallé chacun leur tour les drivers 340-xx et 304-xx sans succès.
Quelqu'un a-t-il une idée de mise à jour, ou sinon comment pourrais-je revenir à la version 5.2 de sweethome3d qui fonctionnait semble-t-il auparavant.
Merci de vos retours et si je n'ai rien compris à ces posts:
viewtopic.php?f=13&t=7649
viewtopic.php?f=17&t=7641
et que la réponse y est évidente à vos yeux , n'hésitez pas à me jeter aux orties :clindoeil: moi j'ai rien compris
Merci à tous dans tous les cas
Modifié en dernier par stagoog le 12 Fév 2017, 21:08, modifié 1 fois.

bug opengl déclaré par sweethome3d et carte nvidia

#2Messageil y a 2 ans

Bonjour !
Une des solutions que tu peux essayer de faire est de rétrograder le paquet. S'il fonctionnait sous sa version 5.2, essaies de voir si tu peux repasser sous cette version.

Pour cela, regarde dans /var/cache/pacman/pkg/ si tu trouves l'ancienne version de ton paquet. Si tu le trouves, tu n'as plus qu'à le réinstaller avec

sudo pacman -U nomdupaquet


Tu peux ausi utiliser le paquet downgrade disponible sur AUR pour le faire.

bug opengl déclaré par sweethome3d et carte nvidia

#3Messageil y a 2 ans

bonjour,
en effet ce paquet n'est plus à jour depuis le 2 de ce mois ! :confus: il faut donc attendre la prochaine version source

Si tu ne l'as pas dans ton cache (post précédent), tu peux installer la paquet downgrade et lancer la commande du même nom

downgrade sweethome3d
Paquets disponibles :
   1) sweethome3d-5.3-1-any.pkg.tar.xz (distant)
   2) sweethome3d-5.2-3-any.pkg.tar.xz (distant)
   3) sweethome3d-5.2-2-any.pkg.tar.xz (distant)
   4) sweethome3d-5.2-1-any.pkg.tar.xz (distant)
   5) sweethome3d-5.1-1-any.pkg.tar.xz (distant)
   6) sweethome3d-5.0-1-any.pkg.tar.xz (distant)
   7) sweethome3d-4.6-2-any.pkg.tar.xz (distant)
   8) sweethome3d-4.6-1-any.pkg.tar.xz (distant)
   9) sweethome3d-4.5-1-any.pkg.tar.xz (distant)
  10) sweethome3d-4.4-3-any.pkg.tar.xz (distant)
  11) sweethome3d-4.4-2-any.pkg.tar.xz (distant)

bug opengl déclaré par sweethome3d et carte nvidia

#4Messageil y a 2 ans

Dans l'ordre :

Merci sloiY
En rétrogradant depuis le dossier /var au 5.2 j'ai pu en effet le faire fonctionner.
ça dépanne mais le fait que la version 5.3 corrigait des bugs d'utilisation ne rend pas cette solution optimale.
Si en effet le problème de driver nvidia n'est pas résolvable, alors tant pis pour moi.
Je me permets de laisser ce sujet ouvert quelques jours, si quelqu'un connaissait une solution de driver, je le fermerai sinon.
Dans tous les cas, merci encore sloiY

Merci Papajoke, je lis ton post alors que je répondais à sloiY
Je clos donc le sujet et j'attendrais à l'affût que ce paquet soit mis à jour

Merci à tous !!!!

Répondre